QR Code Generator API

Dokumentasi resmi QR Code Generator API dari Maelyn API untuk membuat gambar QR PNG ke CDN

Base Information

  • BASE_URL_API: https://api.maelyn.eu/api
  • Path / Endpoint: /tools/qrcode
  • Method: GET
  • Credit Usage: 1

Authentication

Gunakan header berikut pada setiap request:

x-maelyn-auth: YOUR_API_KEY

Query Parameters

Endpoint ini men-generate QR PNG secara lokal lalu menyimpan ke CDN. Ukuran 200-1000px, warna hex 6 digit.

Example Request

GET /tools/qrcode?text=Halo&size=500

Parameters

NameTypeRequiredDescription
textstringYesIsi QR (1-2000 karakter).
sizenumberNoUkuran px, 200-1000 (default: 500).
darkstringNoWarna modul hex (default: 000000).
lightstringNoWarna latar hex (default: ffffff).

Example Usage

GET /tools/qrcode?text=https://maelyn.my.id&size=500&dark=000000&light=ffffff

Success Response

{
  "success": true,
  "data": {
    "text": "https://maelyn.my.id",
    "size": 500,
    "dark": "000000",
    "light": "ffffff",
    "image_url": "https://static-storage.maelyn.eu/proxy/84b2569d-698f-48e0-a30a-89d910702d78.png"
  }
}

Playground